Index: sasmodels/models/adsorbed_layer.py
===================================================================
--- sasmodels/models/adsorbed_layer.py	(revision 7abcc596313e08b6c824ee3bd2debd8197b00f66)
+++ sasmodels/models/adsorbed_layer.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -94,9 +94,4 @@
 Iq.vectorized =  True  # Iq accepts an array of q values
 
-def Iqxy(qx, qy, *args):
-    # pylint: disable = missing-docstring
-    return Iq(sqrt(qx ** 2 + qy ** 2), *args)
-Iqxy.vectorized = True # Iqxy accepts an array of qx, qy values
-
 # unit test values taken from SasView 3.1.2
 tests =  [
Index: sasmodels/models/barbell.py
===================================================================
--- sasmodels/models/barbell.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/barbell.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -101,6 +101,6 @@
 # pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld",         "1e-6/Ang^2",   4, [-inf, inf], "",            "Barbell scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2",   1, [-inf, inf], "",            "Solvent scattering length density"],
+parameters = [["sld",         "1e-6/Ang^2",   4, [-inf, inf], "sld",         "Barbell scattering length density"],
+              ["sld_solvent", "1e-6/Ang^2",   1, [-inf, inf], "sld",         "Solvent scattering length density"],
               ["bell_radius", "Ang",         40, [0, inf],    "volume",      "Spherical bell radius"],
               ["radius",      "Ang",         20, [0, inf],    "volume",      "Cylindrical bar radius"],
Index: sasmodels/models/bcc_paracrystal.py
===================================================================
--- sasmodels/models/bcc_paracrystal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/bcc_paracrystal.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -116,6 +116,6 @@
               ["d_factor",    "",            0.06, [-inf, inf], "",            "Paracrystal distortion factor"],
               ["radius",      "Ang",        40,    [0, inf],    "volume",      "Particle radius"],
-              ["sld",         "1e-6/Ang^2",  4,    [-inf, inf], "",            "Particle scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2",  1,    [-inf, inf], "",            "Solvent scattering length density"],
+              ["sld",         "1e-6/Ang^2",  4,    [-inf, inf], "sld",         "Particle scattering length density"],
+              ["sld_solvent", "1e-6/Ang^2",  1,    [-inf, inf], "sld",         "Solvent scattering length density"],
               ["theta",       "degrees",    60,    [-inf, inf], "orientation", "In plane angle"],
               ["phi",         "degrees",    60,    [-inf, inf], "orientation", "Out of plane angle"],
Index: sasmodels/models/binary_hard_sphere.py
===================================================================
--- sasmodels/models/binary_hard_sphere.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/binary_hard_sphere.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -101,9 +101,9 @@
               ["volfraction_sm", "", 0.2, [0, 1], "",
                "volume fraction of small particle"],
-              ["sld_lg", "1e-6/Ang^2", 3.5, [-inf, inf], "",
+              ["sld_lg", "1e-6/Ang^2", 3.5, [-inf, inf], "sld",
                "scattering length density of large particle"],
-              ["sld_sm", "1e-6/Ang^2", 0.5, [-inf, inf], "",
+              ["sld_sm", "1e-6/Ang^2", 0.5, [-inf, inf], "sld",
                "scattering length density of small particle"],
-              ["sld_solvent", "1e-6/Ang^2", 6.36, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 6.36, [-inf, inf], "sld",
                "Solvent scattering length density"],
              ]
Index: sasmodels/models/capped_cylinder.py
===================================================================
--- sasmodels/models/capped_cylinder.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/capped_cylinder.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -109,6 +109,6 @@
 # pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type", "description"],
-parameters = [["sld",         "1e-6/Ang^2", 4, [-inf, inf], "",       "Cylinder scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "",       "Solvent scattering length density"],
+parameters = [["sld",         "1e-6/Ang^2", 4, [-inf, inf], "sld",    "Cylinder scattering length density"],
+              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",    "Solvent scattering length density"],
               ["radius",      "Ang",       20, [0, inf],    "volume", "Cylinder radius"],
 
Index: sasmodels/models/core_multi_shell.py
===================================================================
--- sasmodels/models/core_multi_shell.py	(revision 263daece589b74d3fb00006829c29d4c0005bc82)
+++ sasmodels/models/core_multi_shell.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -87,13 +87,13 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld_core", "1e-6/Ang^2", 1.0, [-inf, inf], "",
+parameters = [["sld_core", "1e-6/Ang^2", 1.0, [-inf, inf], "sld",
                "Core scattering length density"],
               ["radius", "Ang", 200., [0, inf], "volume",
                "Radius of the core"],
-              ["sld_solvent", "1e-6/Ang^2", 6.4, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 6.4, [-inf, inf], "sld",
                "Solvent scattering length density"],
               ["n", "", 1, [0, 10], "volume",
                "number of shells"],
-              ["sld[n]", "1e-6/Ang^2", 1.7, [-inf, inf], "",
+              ["sld[n]", "1e-6/Ang^2", 1.7, [-inf, inf], "sld",
                "scattering length density of shell k"],
               ["thickness[n]", "Ang", 40., [0, inf], "volume",
Index: sasmodels/models/core_shell_bicelle.py
===================================================================
--- sasmodels/models/core_shell_bicelle.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/core_shell_bicelle.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -78,8 +78,8 @@
     ["face_thickness", "Ang",       10, [0, inf],    "volume",      "Cylinder face thickness"],
     ["length",         "Ang",      400, [0, inf],    "volume",      "Cylinder length"],
-    ["sld_core",       "1e-6/Ang^2", 1, [-inf, inf], "",            "Cylinder core scattering length density"],
-    ["sld_face",       "1e-6/Ang^2", 4, [-inf, inf], "",            "Cylinder face scattering length density"],
-    ["sld_rim",        "1e-6/Ang^2", 4, [-inf, inf], "",            "Cylinder rim scattering length density"],
-    ["sld_solvent",    "1e-6/Ang^2", 1, [-inf, inf], "",            "Solvent scattering length density"],
+    ["sld_core",       "1e-6/Ang^2", 1, [-inf, inf], "sld",         "Cylinder core scattering length density"],
+    ["sld_face",       "1e-6/Ang^2", 4, [-inf, inf], "sld",         "Cylinder face scattering length density"],
+    ["sld_rim",        "1e-6/Ang^2", 4, [-inf, inf], "sld",         "Cylinder rim scattering length density"],
+    ["sld_solvent",    "1e-6/Ang^2", 1, [-inf, inf], "sld",         "Solvent scattering length density"],
     ["theta",          "degrees",   90, [-inf, inf], "orientation", "In plane angle"],
     ["phi",            "degrees",    0, [-inf, inf], "orientation", "Out of plane angle"],
Index: sasmodels/models/core_shell_cylinder.py
===================================================================
--- sasmodels/models/core_shell_cylinder.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/core_shell_cylinder.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -112,9 +112,9 @@
 
 #             ["name", "units", default, [lower, upper], "type", "description"],
-parameters = [["sld_core", "1e-6/Ang^2", 4, [-inf, inf], "",
+parameters = [["sld_core", "1e-6/Ang^2", 4, [-inf, inf], "sld",
                "Cylinder core scattering length density"],
-              ["sld_shell", "1e-6/Ang^2", 4, [-inf, inf], "",
+              ["sld_shell", "1e-6/Ang^2", 4, [-inf, inf], "sld",
                "Cylinder shell scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
               ["radius", "Ang", 20, [0, inf], "volume",
Index: sasmodels/models/core_shell_ellipsoid_xt.py
===================================================================
--- sasmodels/models/core_shell_ellipsoid_xt.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/core_shell_ellipsoid_xt.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -92,7 +92,7 @@
     ["t_shell",       "Ang",       30,   [0, inf],    "volume",      "thickness of shell at equator"],
     ["x_polar_shell", "",           1,   [0, inf],    "volume",      "ratio of thickness of shell at pole to that at equator"],
-    ["sld_core",      "1e-6/Ang^2", 2,   [-inf, inf], "",            "Core scattering length density"],
-    ["sld_shell",     "1e-6/Ang^2", 1,   [-inf, inf], "",            "Shell scattering length density"],
-    ["sld_solvent",   "1e-6/Ang^2", 6.3, [-inf, inf], "",            "Solvent scattering length density"],
+    ["sld_core",      "1e-6/Ang^2", 2,   [-inf, inf], "sld",         "Core scattering length density"],
+    ["sld_shell",     "1e-6/Ang^2", 1,   [-inf, inf], "sld",         "Shell scattering length density"],
+    ["sld_solvent",   "1e-6/Ang^2", 6.3, [-inf, inf], "sld",         "Solvent scattering length density"],
     ["theta",         "degrees",    0,   [-inf, inf], "orientation", "Oblate orientation wrt incoming beam"],
     ["phi",           "degrees",    0,   [-inf, inf], "orientation", "Oblate orientation in the plane of the detector"],
Index: sasmodels/models/core_shell_parallelepiped.py
===================================================================
--- sasmodels/models/core_shell_parallelepiped.py	(revision 500128bae04dc9573c5f85c656f5ded54a1fa9a1)
+++ sasmodels/models/core_shell_parallelepiped.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -114,13 +114,13 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld_core", "1e-6/Ang^2", 1, [-inf, inf], "",
+parameters = [["sld_core", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Parallelepiped core scattering length density"],
-              ["sld_a", "1e-6/Ang^2", 2, [-inf, inf], "",
+              ["sld_a", "1e-6/Ang^2", 2, [-inf, inf], "sld",
                "Parallelepiped A rim scattering length density"],
-              ["sld_b", "1e-6/Ang^2", 4, [-inf, inf], "",
+              ["sld_b", "1e-6/Ang^2", 4, [-inf, inf], "sld",
                "Parallelepiped B rim scattering length density"],
-              ["sld_c", "1e-6/Ang^2", 2, [-inf, inf], "",
+              ["sld_c", "1e-6/Ang^2", 2, [-inf, inf], "sld",
                "Parallelepiped C rim scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 6, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 6, [-inf, inf], "sld",
                "Solvent scattering length density"],
               ["a_side", "Ang", 35, [0, inf], "volume",
Index: sasmodels/models/core_shell_sphere.py
===================================================================
--- sasmodels/models/core_shell_sphere.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/core_shell_sphere.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -64,7 +64,7 @@
 parameters = [["radius",      "Ang",        60.0, [0, inf],    "volume", "Sphere core radius"],
               ["thickness",   "Ang",        10.0, [0, inf],    "volume", "Sphere shell thickness"],
-              ["sld_core",    "1e-6/Ang^2", 1.0,  [-inf, inf], "",       "core scattering length density"],
-              ["sld_shell",   "1e-6/Ang^2", 2.0,  [-inf, inf], "",       "shell scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 3.0,  [-inf, inf],  "",      "Solvent scattering length density"]]
+              ["sld_core",    "1e-6/Ang^2", 1.0,  [-inf, inf], "sld",    "core scattering length density"],
+              ["sld_shell",   "1e-6/Ang^2", 2.0,  [-inf, inf], "sld",    "shell scattering length density"],
+              ["sld_solvent", "1e-6/Ang^2", 3.0,  [-inf, inf], "sld",    "Solvent scattering length density"]]
 # pylint: enable=bad-whitespace, line-too-long
 
Index: sasmodels/models/cylinder.py
===================================================================
--- sasmodels/models/cylinder.py	(revision 7ae2b7f85895f1eddd6ef18f37ff501467a34961)
+++ sasmodels/models/cylinder.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -105,7 +105,7 @@
 
 #             [ "name", "units", default, [lower, upper], "type", "description"],
-parameters = [["sld", "4e-6/Ang^2", 4, [-inf, inf], "",
+parameters = [["sld", "4e-6/Ang^2", 4, [-inf, inf], "sld",
                "Cylinder scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
               ["radius", "Ang", 20, [0, inf], "volume",
Index: sasmodels/models/ellipsoid.py
===================================================================
--- sasmodels/models/ellipsoid.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/ellipsoid.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -118,7 +118,7 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld", "1e-6/Ang^2", 4, [-inf, inf], "",
+parameters = [["sld", "1e-6/Ang^2", 4, [-inf, inf], "sld",
                "Ellipsoid scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
               ["r_polar", "Ang", 20, [0, inf], "volume",
Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision 416609b683895f47c35abde0f58d67d675528739)
+++ sasmodels/models/elliptical_cylinder.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -94,8 +94,8 @@
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [["r_minor",     "Ang",        20.0,  [0, inf],    "volume",      "Ellipse minor radius"],
-              ["axis_ratio",     "",           1.5,   [1, inf],    "volume",      "Ratio of major radius over minor radius"],
+              ["axis_ratio",   "",          1.5,   [1, inf],    "volume",      "Ratio of major radius over minor radius"],
               ["length",      "Ang",        400.0, [1, inf],    "volume",      "Length of the cylinder"],
-              ["sld",         "1e-6/Ang^2", 4.0,   [-inf, inf], "",            "Cylinder scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 1.0,   [-inf, inf], "",            "Solvent scattering length density"],
+              ["sld",         "1e-6/Ang^2", 4.0,   [-inf, inf], "sld",         "Cylinder scattering length density"],
+              ["sld_solvent", "1e-6/Ang^2", 1.0,   [-inf, inf], "sld",         "Solvent scattering length density"],
               ["theta",       "degrees",    90.0,  [-360, 360], "orientation", "In plane angle"],
               ["phi",         "degrees",    0,     [-360, 360], "orientation", "Out of plane angle"],
Index: sasmodels/models/fcc_paracrystal.py
===================================================================
--- sasmodels/models/fcc_paracrystal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/fcc_paracrystal.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -108,6 +108,6 @@
               ["d_factor", "", 0.06, [-inf, inf], "", "Paracrystal distortion factor"],
               ["radius", "Ang", 40, [0, inf], "volume", "Particle radius"],
-              ["sld", "1e-6/Ang^2", 4, [-inf, inf], "", "Particle scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "", "Solvent scattering length density"],
+              ["sld", "1e-6/Ang^2", 4, [-inf, inf], "sld", "Particle scattering length density"],
+              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld", "Solvent scattering length density"],
               ["theta", "degrees", 60, [-inf, inf], "orientation", "In plane angle"],
               ["phi", "degrees", 60, [-inf, inf], "orientation", "Out of plane angle"],
Index: sasmodels/models/flexible_cylinder.py
===================================================================
--- sasmodels/models/flexible_cylinder.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/flexible_cylinder.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -80,6 +80,6 @@
     ["kuhn_length", "Ang",        100.0, [0, inf],    "volume", "Kuhn length of the flexible cylinder"],
     ["radius",      "Ang",         20.0, [0, inf],    "volume", "Radius of the flexible cylinder"],
-    ["sld",         "1e-6/Ang^2",   1.0, [-inf, inf], "",       "Cylinder scattering length density"],
-    ["sld_solvent", "1e-6/Ang^2",   6.3, [-inf, inf], "",       "Solvent scattering length density"],
+    ["sld",         "1e-6/Ang^2",   1.0, [-inf, inf], "sld",    "Cylinder scattering length density"],
+    ["sld_solvent", "1e-6/Ang^2",   6.3, [-inf, inf], "sld",    "Solvent scattering length density"],
     ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/flexible_cylinder_elliptical.py
===================================================================
--- sasmodels/models/flexible_cylinder_elliptical.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/flexible_cylinder_elliptical.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -104,6 +104,6 @@
     ["radius",      "Ang",         20.0, [1, inf],    "volume", "Radius of the flexible cylinder"],
     ["axis_ratio",  "",             1.5, [0, inf],    "",       "Axis_ratio (major_radius/minor_radius"],
-    ["sld",         "1e-6/Ang^2",   1.0, [-inf, inf], "",       "Cylinder scattering length density"],
-    ["sld_solvent", "1e-6/Ang^2",   6.3, [-inf, inf], "",       "Solvent scattering length density"],
+    ["sld",         "1e-6/Ang^2",   1.0, [-inf, inf], "sld",    "Cylinder scattering length density"],
+    ["sld_solvent", "1e-6/Ang^2",   6.3, [-inf, inf], "sld",    "Solvent scattering length density"],
     ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/fractal.py
===================================================================
--- sasmodels/models/fractal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/fractal.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -87,7 +87,7 @@
               ["cor_length", "Ang", 100.0, [0.0, inf], "",
                "cluster correlation length"],
-              ["sld_block", "1e-6/Ang^2", 2.0, [-inf, inf], "",
+              ["sld_block", "1e-6/Ang^2", 2.0, [-inf, inf], "sld",
                "scattering length density of particles"],
-              ["sld_solvent", "1e-6/Ang^2", 6.4, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 6.4, [-inf, inf], "sld",
                "scattering length density of solvent"],
              ]
Index: sasmodels/models/fractal_core_shell.py
===================================================================
--- sasmodels/models/fractal_core_shell.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/fractal_core_shell.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -65,7 +65,7 @@
     ["radius",      "Ang",        60.0, [0, inf],    "volume", "Sphere core radius"],
     ["thickness",   "Ang",        10.0, [0, inf],    "volume", "Sphere shell thickness"],
-    ["sld_core",    "1e-6/Ang^2", 1.0,  [-inf, inf], "",       "Sphere core scattering length density"],
-    ["sld_shell",   "1e-6/Ang^2", 2.0,  [-inf, inf], "",       "Sphere shell scattering length density"],
-    ["sld_solvent", "1e-6/Ang^2", 3.0,  [-inf, inf], "",       "Solvent scattering length density"],
+    ["sld_core",    "1e-6/Ang^2", 1.0,  [-inf, inf], "sld",    "Sphere core scattering length density"],
+    ["sld_shell",   "1e-6/Ang^2", 2.0,  [-inf, inf], "sld",    "Sphere shell scattering length density"],
+    ["sld_solvent", "1e-6/Ang^2", 3.0,  [-inf, inf], "sld",    "Solvent scattering length density"],
     ["volfraction", "",           1.0,  [0, inf],    "",       "Volume fraction of building block spheres"],
     ["frac_dim",    "",           2.0,  [-inf, inf], "",       "Fractal dimension"],
Index: sasmodels/models/fuzzy_sphere.py
===================================================================
--- sasmodels/models/fuzzy_sphere.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/fuzzy_sphere.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -76,6 +76,6 @@
 # pylint: disable=bad-whitespace,line-too-long
 # ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld",         "1e-6/Ang^2",  1, [-inf, inf], "",       "Particle scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2",  3, [-inf, inf], "",       "Solvent scattering length density"],
+parameters = [["sld",         "1e-6/Ang^2",  1, [-inf, inf], "sld",    "Particle scattering length density"],
+              ["sld_solvent", "1e-6/Ang^2",  3, [-inf, inf], "sld",    "Solvent scattering length density"],
               ["radius",      "Ang",        60, [0, inf],    "volume", "Sphere radius"],
               ["fuzziness",   "Ang",        10, [0, inf],    "",       "std deviation of Gaussian convolution for interface (must be << radius)"],
Index: sasmodels/models/hollow_cylinder.py
===================================================================
--- sasmodels/models/hollow_cylinder.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/hollow_cylinder.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -72,6 +72,6 @@
     ["core_radius", "Ang",     20.0, [0, inf],    "volume",      "Hollow core radius"],
     ["length",      "Ang",    400.0, [0, inf],    "volume",      "Cylinder length"],
-    ["sld",         "1/Ang^2",  6.3, [-inf, inf], "",            "Cylinder sld"],
-    ["sld_solvent", "1/Ang^2",  1,   [-inf, inf], "",            "Solvent sld"],
+    ["sld",         "1/Ang^2",  6.3, [-inf, inf], "sld",         "Cylinder sld"],
+    ["sld_solvent", "1/Ang^2",  1,   [-inf, inf], "sld",         "Solvent sld"],
     ["theta",       "degrees", 90,   [-360, 360], "orientation", "Theta angle"],
     ["phi",         "degrees",  0,   [-360, 360], "orientation", "Phi angle"],
Index: sasmodels/models/hollow_rectangular_prism.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism.py	(revision 117090acd0ef91ba784d7ef6bf4887dc64a285ed)
+++ sasmodels/models/hollow_rectangular_prism.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -101,7 +101,7 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld", "1e-6/Ang^2", 6.3, [-inf, inf], "",
+parameters = [["sld", "1e-6/Ang^2", 6.3, [-inf, inf], "sld",
                "Parallelepiped scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
               ["a_side", "Ang", 35, [0, inf], "volume",
Index: sasmodels/models/hollow_rectangular_prism_thin_walls.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -87,7 +87,7 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld", "1e-6/Ang^2", 6.3, [-inf, inf], "",
+parameters = [["sld", "1e-6/Ang^2", 6.3, [-inf, inf], "sld",
                "Parallelepiped scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
               ["a_side", "Ang", 35, [0, inf], "volume",
Index: sasmodels/models/lamellar.py
===================================================================
--- sasmodels/models/lamellar.py	(revision 500128bae04dc9573c5f85c656f5ded54a1fa9a1)
+++ sasmodels/models/lamellar.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -62,6 +62,6 @@
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [ ["thickness", "Ang", 50, [0, inf], "volume","total layer thickness" ],
-               ["sld", "1e-6/Ang^2", 1, [-inf, inf], "","Layer scattering length density" ],
-               ["sld_solvent", "1e-6/Ang^2", 6, [-inf, inf], "","Solvent scattering length density" ],
+               ["sld", "1e-6/Ang^2", 1, [-inf, inf], "sld","Layer scattering length density" ],
+               ["sld_solvent", "1e-6/Ang^2", 6, [-inf, inf], "sld","Solvent scattering length density" ],
              ]
 
Index: sasmodels/models/lamellar_hg.py
===================================================================
--- sasmodels/models/lamellar_hg.py	(revision d2bb6049fb1ca2c1d60bcd3853b1d2ae889866b2)
+++ sasmodels/models/lamellar_hg.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -72,7 +72,7 @@
 parameters = [["tail_length", "Ang",       15,   [0, inf],  "volume",  "Tail thickness ( total = H+T+T+H)"],
               ["head_length", "Ang",       10,   [0, inf],  "volume",  "Head thickness"],
-              ["sld",         "1e-6/Ang^2", 0.4, [-inf,inf], "",       "Tail scattering length density"],
-              ["sld_head",    "1e-6/Ang^2", 3.0, [-inf,inf], "",       "Head scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 6,   [-inf,inf], "",       "Solvent scattering length density"]]
+              ["sld",         "1e-6/Ang^2", 0.4, [-inf,inf], "sld",    "Tail scattering length density"],
+              ["sld_head",    "1e-6/Ang^2", 3.0, [-inf,inf], "sld",    "Head scattering length density"],
+              ["sld_solvent", "1e-6/Ang^2", 6,   [-inf,inf], "sld",    "Solvent scattering length density"]]
 # pylint: enable=bad-whitespace, line-too-long
 
Index: sasmodels/models/lamellar_hg_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_hg_stack_caille.py	(revision d2bb6049fb1ca2c1d60bcd3853b1d2ae889866b2)
+++ sasmodels/models/lamellar_hg_stack_caille.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -104,9 +104,9 @@
     ["Caille_parameter", "", 0.001, [0.0, 0.8], "",
      "Caille parameter"],
-    ["sld", "1e-6/Ang^2", 0.4, [-inf, inf], "",
+    ["sld", "1e-6/Ang^2", 0.4, [-inf, inf], "sld",
      "Tail scattering length density"],
-    ["sld_head", "1e-6/Ang^2", 2.0, [-inf, inf], "",
+    ["sld_head", "1e-6/Ang^2", 2.0, [-inf, inf], "sld",
      "Head scattering length density"],
-    ["sld_solvent", "1e-6/Ang^2", 6, [-inf, inf], "",
+    ["sld_solvent", "1e-6/Ang^2", 6, [-inf, inf], "sld",
      "Solvent scattering length density"],
     ]
Index: sasmodels/models/lamellar_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_stack_caille.py	(revision d2bb6049fb1ca2c1d60bcd3853b1d2ae889866b2)
+++ sasmodels/models/lamellar_stack_caille.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -91,6 +91,6 @@
     ["spacing",          "Ang",      400.,  [0.0,inf],  "volume", "d-spacing of Caille S(Q)"],
     ["Caille_parameter", "1/Ang^2",    0.1, [0.0,0.8],  "",       "Caille parameter"],
-    ["sld",              "1e-6/Ang^2", 6.3, [-inf,inf], "",       "layer scattering length density"],
-    ["sld_solvent",      "1e-6/Ang^2", 1.0, [-inf,inf], "",       "Solvent scattering length density"],
+    ["sld",              "1e-6/Ang^2", 6.3, [-inf,inf], "sld",    "layer scattering length density"],
+    ["sld_solvent",      "1e-6/Ang^2", 1.0, [-inf,inf], "sld",    "Solvent scattering length density"],
     ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/lamellar_stack_paracrystal.py
===================================================================
--- sasmodels/models/lamellar_stack_paracrystal.py	(revision d2bb6049fb1ca2c1d60bcd3853b1d2ae889866b2)
+++ sasmodels/models/lamellar_stack_paracrystal.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -119,7 +119,7 @@
               ["spacing_polydisp", "Ang", 0.0, [0.0, inf], "",
                "d-spacing polydispersity"],
-              ["sld", "1e-6/Ang^2", 1.0, [-inf, inf], "",
+              ["sld", "1e-6/Ang^2", 1.0, [-inf, inf], "sld",
                "layer scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 6.34, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 6.34, [-inf, inf], "sld",
                "Solvent scattering length density"],
              ]
Index: sasmodels/models/linear_pearls.py
===================================================================
--- sasmodels/models/linear_pearls.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/linear_pearls.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -57,6 +57,6 @@
     ["edge_sep",    "Ang",      350.0, [0, inf],     "", "Length of the string segment - surface to surface"],
     ["num_pearls",  "",           3.0, [0, inf],     "", "Number of the pearls"],
-    ["sld",   "1e-6/Ang^2", 1.0, [-inf, inf],  "", "SLD of the pearl spheres"],
-    ["sld_solvent", "1e-6/Ang^2", 6.3, [-inf, inf],  "", "SLD of the solvent"],
+    ["sld",   "1e-6/Ang^2", 1.0, [-inf, inf],  "sld", "SLD of the pearl spheres"],
+    ["sld_solvent", "1e-6/Ang^2", 6.3, [-inf, inf],  "sld", "SLD of the solvent"],
     ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/multilayer_vesicle.py
===================================================================
--- sasmodels/models/multilayer_vesicle.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/multilayer_vesicle.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -74,8 +74,8 @@
     ["volfraction", "",  0.05, [0.0, 1],  "", "volume fraction of vesicles"],
     ["radius", "Ang", 60.0, [0.0, inf],  "", "Core radius of the multishell"],
-    ["thick_shell", "Ang",        10.0, [0.0, inf],  "", "Shell thickness"],
+    ["thick_shell", "Ang",        10.0, [0.0, inf],  "sld", "Shell thickness"],
     ["thick_solvent", "Ang",        10.0, [0.0, inf],  "", "Water thickness"],
-    ["sld_solvent",    "1e-6/Ang^2",  6.4, [-inf, inf], "", "Core scattering length density"],
-    ["sld",   "1e-6/Ang^2",  0.4, [-inf, inf], "", "Shell scattering length density"],
+    ["sld_solvent",    "1e-6/Ang^2",  6.4, [-inf, inf], "sld", "Core scattering length density"],
+    ["sld",   "1e-6/Ang^2",  0.4, [-inf, inf], "sld", "Shell scattering length density"],
     ["n_pairs",     "",            2.0, [1.0, inf],  "", "Number of pairs of water and shell"],
     ]
Index: sasmodels/models/onion.py
===================================================================
--- sasmodels/models/onion.py	(revision a0494e91f57473a5b1d3ca86eb1ed5fa7d40a3c5)
+++ sasmodels/models/onion.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -293,15 +293,15 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld_core", "1e-6/Ang^2", 1.0, [-inf, inf], "",
+parameters = [["sld_core", "1e-6/Ang^2", 1.0, [-inf, inf], "sld",
                "Core scattering length density"],
               ["core_radius", "Ang", 200., [0, inf], "volume",
                "Radius of the core"],
-              ["sld_solvent", "1e-6/Ang^2", 6.4, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 6.4, [-inf, inf], "sld",
                "Solvent scattering length density"],
               ["n_shells", "", 1, [0, 10], "volume",
                "number of shells"],
-              ["sld_in[n_shells]", "1e-6/Ang^2", 1.7, [-inf, inf], "",
+              ["sld_in[n_shells]", "1e-6/Ang^2", 1.7, [-inf, inf], "sld",
                "scattering length density at the inner radius of shell k"],
-              ["sld_out[n_shells]", "1e-6/Ang^2", 2.0, [-inf, inf], "",
+              ["sld_out[n_shells]", "1e-6/Ang^2", 2.0, [-inf, inf], "sld",
                "scattering length density at the outer radius of shell k"],
               ["thickness[n_shells]", "Ang", 40., [0, inf], "volume",
Index: sasmodels/models/parallelepiped.py
===================================================================
--- sasmodels/models/parallelepiped.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/parallelepiped.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -177,7 +177,7 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld", "1e-6/Ang^2", 4, [-inf, inf], "",
+parameters = [["sld", "1e-6/Ang^2", 4, [-inf, inf], "sld",
                "Parallelepiped scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
               ["a_side", "Ang", 35, [0, inf], "volume",
Index: sasmodels/models/pearl_necklace.py
===================================================================
--- sasmodels/models/pearl_necklace.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/pearl_necklace.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -84,9 +84,9 @@
               ["number_of_pearls", "none", 3, [0, inf], "volume",
                "Number of pearls in the necklace (must be integer)"],
-              ["sld", "1e-6/Ang^2", 1.0, [-inf, inf], "",
+              ["sld", "1e-6/Ang^2", 1.0, [-inf, inf], "sld",
                "Scattering length density of the chained spheres"],
-              ["sld_string", "1e-6/Ang^2", 1.0, [-inf, inf], "",
+              ["sld_string", "1e-6/Ang^2", 1.0, [-inf, inf], "sld",
                "Scattering length density of the chain linkage"],
-              ["sld_solvent", "1e-6/Ang^2", 6.3, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 6.3, [-inf, inf], "sld",
                "Scattering length density of the solvent"],
              ]
Index: sasmodels/models/polymer_micelle.py
===================================================================
--- sasmodels/models/polymer_micelle.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/polymer_micelle.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -41,7 +41,7 @@
     ["v_core",        "Ang^3",  62624.0,  [0.0, inf], "", "Core volume "],
     ["v_corona",      "Ang^3",  61940.0,  [0.0, inf], "", "Corona volume"],
-    ["sld_solvent",   "1e-6/Ang^2", 6.4,  [0.0, inf], "", "Solvent scattering length density"],
-    ["sld_core",      "1e-6/Ang^2", 0.34, [0.0, inf], "", "Core scattering length density"],
-    ["sld_corona",    "1e-6/Ang^2", 0.8,  [0.0, inf], "", "Corona scattering length density"],
+    ["sld_solvent",   "1e-6/Ang^2", 6.4,  [0.0, inf], "sld", "Solvent scattering length density"],
+    ["sld_core",      "1e-6/Ang^2", 0.34, [0.0, inf], "sld", "Core scattering length density"],
+    ["sld_corona",    "1e-6/Ang^2", 0.8,  [0.0, inf], "sld", "Corona scattering length density"],
     ["radius_core",   "Ang",       45.0,  [0.0, inf], "", "Radius of core ( must be >> radius_gyr )"],
     ["radius_gyr",    "Ang",       20.0,  [0.0, inf], "", "Radius of gyration of chains in corona"],
Index: sasmodels/models/pringle.py
===================================================================
--- sasmodels/models/pringle.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/pringle.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -68,6 +68,6 @@
     ["alpha",       "",            0.001,  [-inf, inf], "", "Curvature parameter alpha"],
     ["beta",        "",            0.02,   [-inf, inf], "", "Curvature paramter beta"],
-    ["sld_pringle", "1e-6/Ang^2",  1.0,    [-inf, inf], "", "Pringle sld"],
-    ["sld_solvent", "1e-6/Ang^2",  6.3,    [-inf, inf], "", "Solvent sld"]
+    ["sld_pringle", "1e-6/Ang^2",  1.0,    [-inf, inf], "sld", "Pringle sld"],
+    ["sld_solvent", "1e-6/Ang^2",  6.3,    [-inf, inf], "sld", "Solvent sld"]
     ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/raspberry.py
===================================================================
--- sasmodels/models/raspberry.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/raspberry.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -132,9 +132,9 @@
 
 #             [ "name", "units", default, [lower, upper], "type", "description"],
-parameters = [["sld_lg", "1e-6/Ang^2", -0.4, [-inf, inf], "",
+parameters = [["sld_lg", "1e-6/Ang^2", -0.4, [-inf, inf], "sld",
                "large particle scattering length density"],
-              ["sld_sm", "1e-6/Ang^2", 3.5, [-inf, inf], "",
+              ["sld_sm", "1e-6/Ang^2", 3.5, [-inf, inf], "sld",
                "small particle scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 6.36, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 6.36, [-inf, inf], "sld",
                "solvent scattering length density"],
               ["volfraction_lg", "", 0.05, [-inf, inf], "",
Index: sasmodels/models/rectangular_prism.py
===================================================================
--- sasmodels/models/rectangular_prism.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/rectangular_prism.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -95,7 +95,7 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld", "1e-6/Ang^2", 6.3, [-inf, inf], "",
+parameters = [["sld", "1e-6/Ang^2", 6.3, [-inf, inf], "sld",
                "Parallelepiped scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
               ["a_side", "Ang", 35, [0, inf], "volume",
Index: sasmodels/models/sc_paracrystal.py
===================================================================
--- sasmodels/models/sc_paracrystal.py	(revision 500128bae04dc9573c5f85c656f5ded54a1fa9a1)
+++ sasmodels/models/sc_paracrystal.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -122,12 +122,12 @@
 # pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["dnn",         "Ang",       220.0,  [0.0, inf],  "",            "Nearest neighbor distance"],
-              ["d_factor",    "",            0.06, [-inf, inf], "",            "Paracrystal distortion factor"],
-              ["radius",      "Ang",        40.0,  [0.0, inf],  "volume",      "Radius of sphere"],
-              ["sld",  "1e-6/Ang^2",  3.0,  [0.0, inf],  "",            "Sphere scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2",  6.3,  [0.0, inf],  "",            "Solvent scattering length density"],
-              ["theta",       "degrees",     0.0,  [-inf, inf], "orientation", "Orientation of the a1 axis w/respect incoming beam"],
-              ["phi",         "degrees",     0.0,  [-inf, inf], "orientation", "Orientation of the a2 in the plane of the detector"],
-              ["psi",         "degrees",     0.0,  [-inf, inf], "orientation", "Orientation of the a3 in the plane of the detector"],
+parameters = [["dnn",         "Ang",       220.0, [0.0, inf],  "",            "Nearest neighbor distance"],
+              ["d_factor",    "",           0.06, [-inf, inf], "",            "Paracrystal distortion factor"],
+              ["radius",      "Ang",        40.0, [0.0, inf],  "volume",      "Radius of sphere"],
+              ["sld",  "1e-6/Ang^2",         3.0, [0.0, inf],  "sld",         "Sphere scattering length density"],
+              ["sld_solvent", "1e-6/Ang^2",  6.3, [0.0, inf],  "sld",         "Solvent scattering length density"],
+              ["theta",       "degrees",     0.0, [-inf, inf], "orientation", "Orientation of the a1 axis w/respect incoming beam"],
+              ["phi",         "degrees",     0.0, [-inf, inf], "orientation", "Orientation of the a2 in the plane of the detector"],
+              ["psi",         "degrees",     0.0, [-inf, inf], "orientation", "Orientation of the a3 in the plane of the detector"],
              ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/sphere.py
===================================================================
--- sasmodels/models/sphere.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/sphere.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -58,7 +58,7 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld", "1e-6/Ang^2", 1, [-inf, inf], "",
+parameters = [["sld", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Layer scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 6, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 6, [-inf, inf], "sld",
                "Solvent scattering length density"],
               ["radius", "Ang", 50, [0, inf], "volume",
Index: sasmodels/models/spherical_sld.py
===================================================================
--- sasmodels/models/spherical_sld.py	(revision c7ff92caab81ea1ddf68712297a9077672469f3a)
+++ sasmodels/models/spherical_sld.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -205,10 +205,10 @@
               ["npts_inter",        "",               35,     [0, inf],       "", "number of points in each sublayer Must be odd number"],
               ["radius_core",       "Ang",            50.0,   [0, inf],       "volume", "intern layer thickness"],
-              ["sld_core",          "1e-6/Ang^2",     2.07,   [-inf, inf],    "", "sld function flat"],
-              ["sld_solvent",       "1e-6/Ang^2",     1.0,    [-inf, inf],    "", "sld function solvent"],
+              ["sld_core",          "1e-6/Ang^2",     2.07,   [-inf, inf],    "sld", "sld function flat"],
+              ["sld_solvent",       "1e-6/Ang^2",     1.0,    [-inf, inf],    "sld", "sld function solvent"],
               ["func_inter0",       "",               0,      [0, 4],         "", "Erf:0, RPower:1, LPower:2, RExp:3, LExp:4"],
               ["thick_inter0",      "Ang",            50.0,   [0, inf],       "volume", "intern layer thickness for core layer"],
               ["nu_inter0",         "",               2.5,    [-inf, inf],    "", "steepness parameter for core layer"],
-              ["sld_flat[n_shells]",      "1e-6/Ang^2",     4.06,   [-inf, inf],    "", "sld function flat"],
+              ["sld_flat[n_shells]",      "1e-6/Ang^2",     4.06,   [-inf, inf],    "sld", "sld function flat"],
               ["thick_flat[n_shells]",    "Ang",            100.0,  [0, inf],       "volume", "flat layer_thickness"],
               ["func_inter[n_shells]",    "",               0,      [0, 4],         "", "Erf:0, RPower:1, LPower:2, RExp:3, LExp:4"],
Index: sasmodels/models/stacked_disks.py
===================================================================
--- sasmodels/models/stacked_disks.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/stacked_disks.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -132,7 +132,7 @@
     ["n_stacking",  "",            1.0, [0, inf],    "volume",      "Number of stacked layer/core/layer disks"],
     ["sigma_d",     "Ang",         0,   [0, inf],    "",            "GSD of disks sigma_d"],
-    ["sld_core",    "1e-6/Ang^2",  4,   [-inf, inf], "",            "Core scattering length density"],
-    ["sld_layer",   "1e-6/Ang^2",  0.0, [-inf, inf], "",            "Layer scattering length density"],
-    ["sld_solvent", "1e-6/Ang^2",  5.0, [-inf, inf], "",            "Solvent scattering length density"],
+    ["sld_core",    "1e-6/Ang^2",  4,   [-inf, inf], "sld",         "Core scattering length density"],
+    ["sld_layer",   "1e-6/Ang^2",  0.0, [-inf, inf], "sld",         "Layer scattering length density"],
+    ["sld_solvent", "1e-6/Ang^2",  5.0, [-inf, inf], "sld",         "Solvent scattering length density"],
     ["theta",       "degrees",     0,   [-inf, inf], "orientation", "Orientation of the stacked disk axis w/respect incoming beam"],
     ["phi",         "degrees",     0,   [-inf, inf], "orientation", "Orientation of the stacked disk in the plane of the detector"],
Index: sasmodels/models/triaxial_ellipsoid.py
===================================================================
--- sasmodels/models/triaxial_ellipsoid.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/triaxial_ellipsoid.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -86,7 +86,7 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld", "1e-6/Ang^2", 4, [-inf, inf], "",
+parameters = [["sld", "1e-6/Ang^2", 4, [-inf, inf], "sld",
                "Ellipsoid scattering length density"],
-              ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "",
+              ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
               ["req_minor", "Ang", 20, [0, inf], "volume",
Index: sasmodels/models/unified_power_Rg.py
===================================================================
--- sasmodels/models/unified_power_Rg.py	(revision 263daece589b74d3fb00006829c29d4c0005bc82)
+++ sasmodels/models/unified_power_Rg.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -67,5 +67,5 @@
 parameters = [
     ["level",     "",     1,      [0, 6], "", "Level number"],
-    ["Rg[level]", "Ang",  15.8,   [0, inf], "", "Radius of gyration"],
+    ["rg[level]", "Ang",  15.8,   [0, inf], "", "Radius of gyration"],
     ["power[level]", "",  4,      [-inf, inf], "", "Power"],
     ["B[level]",  "1/cm", 4.5e-6, [-inf, inf], "", ""],
@@ -73,5 +73,5 @@
     ]
 
-def Iq(q, level, Rg, power, B, G):
+def Iq(q, level, rg, power, B, G):
     ilevel = int(level)
     if ilevel == 0:
@@ -80,7 +80,7 @@
     result = np.zeros_like(q)
     for i in range(ilevel):
-        exp_now = exp(-(q*Rg[i])**2/3.)
-        pow_now = (erf(q*Rg[i]/sqrt(6.))**3/q)**power[i]
-        exp_next = exp(-(q*Rg[i+1])**2/3.) if i < ilevel-1 else 1.
+        exp_now = exp(-(q*rg[i])**2/3.)
+        pow_now = (erf(q*rg[i]/sqrt(6.))**3/q)**power[i]
+        exp_next = exp(-(q*rg[i+1])**2/3.) if i < ilevel-1 else 1.
         result += G[i]*exp_now + B[i]*exp_next*pow_now
     result[q==0] = np.sum(G[:ilevel])
@@ -90,5 +90,5 @@
 demo = dict(
     level=2,
-    Rg=[15.8, 21],
+    rg=[15.8, 21],
     power=[4, 2],
     B=[4.5e-6, 0.0006],
Index: sasmodels/models/vesicle.py
===================================================================
--- sasmodels/models/vesicle.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/vesicle.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
@@ -82,7 +82,7 @@
 
 #             [ "name", "units", default, [lower, upper], "type", "description"],
-parameters = [["sld", "1e-6/Ang^2", 0.5, [-inf, inf], "",
+parameters = [["sld", "1e-6/Ang^2", 0.5, [-inf, inf], "sld",
                "vesicle shell scattering length density"],
-              ["sld_solvent", "1e-6/Ang^2", 6.36, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 6.36, [-inf, inf], "sld",
                "solvent scattering length density"],
               ["volfraction", "", 0.05, [0, 1.0], "",
